Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365310 - RFE: Drop-down menu for getting .repo files with the architecture filled in
Summary: RFE: Drop-down menu for getting .repo files with the architecture filled in
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 21:46 UTC by Neal Gompa
Modified: 2018-04-09 07:44 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 07:44:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1344845 None None None Never

Internal Links: 1344845

Description Neal Gompa 2016-08-08 21:46:54 UTC
Description of problem:
In copr-dev, the .repo files for the Mageia targets are invalid, since Mageia does not use the $basearch. While the .repo file works for x86_64, it does not for i586, armv5tl, and armv7hl.

It'd be great if a drop-down was available to download correct .repo files for Mageia and potentially other distros that may be supported in the future that don't use the $basearch layout.

Comment 1 clime 2018-03-16 10:05:50 UTC
(In reply to Neal Gompa from comment #0)
> Description of problem:
> In copr-dev, the .repo files for the Mageia targets are invalid, since
> Mageia does not use the $basearch. While the .repo file works for x86_64, it
> does not for i586, armv5tl, and armv7hl.
> 
> It'd be great if a drop-down was available to download correct .repo files
> for Mageia and potentially other distros that may be supported in the future
> that don't use the $basearch layout.

Hello, the original problem is now resolved, so drop-down should not be necessary, right?

Comment 2 Neal Gompa 2018-03-16 10:26:50 UTC
(In reply to clime from comment #1)
> (In reply to Neal Gompa from comment #0)
> > Description of problem:
> > In copr-dev, the .repo files for the Mageia targets are invalid, since
> > Mageia does not use the $basearch. While the .repo file works for x86_64, it
> > does not for i586, armv5tl, and armv7hl.
> > 
> > It'd be great if a drop-down was available to download correct .repo files
> > for Mageia and potentially other distros that may be supported in the future
> > that don't use the $basearch layout.
> 
> Hello, the original problem is now resolved, so drop-down should not be
> necessary, right?

The symlink for i586 to i386 did alleviate this issue, making it this superfluous for now. But Mageia supports more than one ARM architecture, and when ARM becomes available on COPR, it may be an issue...

Comment 3 clime 2018-04-09 07:44:28 UTC
(In reply to Neal Gompa from comment #2)
> (In reply to clime from comment #1)
> > (In reply to Neal Gompa from comment #0)
> > > Description of problem:
> > > In copr-dev, the .repo files for the Mageia targets are invalid, since
> > > Mageia does not use the $basearch. While the .repo file works for x86_64, it
> > > does not for i586, armv5tl, and armv7hl.
> > > 
> > > It'd be great if a drop-down was available to download correct .repo files
> > > for Mageia and potentially other distros that may be supported in the future
> > > that don't use the $basearch layout.
> > 
> > Hello, the original problem is now resolved, so drop-down should not be
> > necessary, right?
> 
> The symlink for i586 to i386 did alleviate this issue, making it this
> superfluous for now. But Mageia supports more than one ARM architecture, and
> when ARM becomes available on COPR, it may be an issue...

So let's reiterate what we can do possibly in a new issue when the ARM comes.


Note You need to log in before you can comment on or make changes to this bug.